import { _decorator, Component, Node } from 'cc';
import { GUIManager } from '../../engines/gui/GUIManager';
const { ccclass, property } = _decorator;


export class UIConst extends Component {
    /**
     * 游戏准备界面
     */
    public static PREPARE_UI:number=0;

    /**
     * 战斗界面
     */
    public static FIGHTING_UI:number=1;

    /**
     * 游戏结算界面
     */
    public static GAME_OVER_UI:number=2;

    /**
     * 商城界面
     */
    public static SHOP_UI:number=3;
    
    /**
     * 商城界面
     */
    public static FULL_OUTPUT_UI:number=4;

    /**
     * 自动合成
     */
    public static AUTO_SYNTHETIC_UI:number=5;

    /**
     * 加速
     */
    public static ACCELERATE_UI:number=6;

    /**
     * 兑换界面
     */
    public static EXCHANGE_UI:number=7;

    /**
     * 免费栅栏
     */
    public static FREE_FENCE_UI:number=8;

    /**
     * 7日登录
     */
    public static SIGN_UI:number=9;
    
    //注册所有游戏UI
    static RegisterGUI():void{
        GUIManager.single.RegisterGUI(this.PREPARE_UI,"ui/PrepareUI");
        GUIManager.single.RegisterGUI(this.FIGHTING_UI,"ui/FightingUI");
        GUIManager.single.RegisterGUI(this.GAME_OVER_UI,"ui/GameOverUI");
        GUIManager.single.RegisterGUI(this.SHOP_UI,"ui/ShopUI");
        GUIManager.single.RegisterGUI(this.FULL_OUTPUT_UI,"ui/FullScreenui");
        GUIManager.single.RegisterGUI(this.AUTO_SYNTHETIC_UI,"ui/AutoSyntheticUI");
        GUIManager.single.RegisterGUI(this.ACCELERATE_UI,"ui/SpeedUpUI");
        GUIManager.single.RegisterGUI(this.EXCHANGE_UI,"ui/ExchangeUI");
        GUIManager.single.RegisterGUI(this.FREE_FENCE_UI,"ui/FreeUseUI");
        GUIManager.single.RegisterGUI(this.SIGN_UI,"ui/SignInUI");
    }
}
